For the complete documentation index, see llms.txt. This page is also available as Markdown.

Product Prices

Explore the VARIO Product Price API to manage sales and purchase prices, discounts, price rules, calculations, and product pricing data.

The Product Price API

put
Path parameters
priceIdinteger · int64Required

ID des Preises

Body

Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

netPricenumberOptional

Netto-Preis

grossPricenumberOptional

Brutto-Preis

priceBasestring · enumOptional

Preisbasis

Possible values:
qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt

Possible values:
purchasePriceSourcestring · enumOptional

Einkaufspreis zur Kalkulation

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Aufschlags bei EK-Kalkulation

fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Preis gültig ist

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
Responses
200

OK

*/*

Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

netPricenumberOptional

Netto-Preis

grossPricenumberOptional

Brutto-Preis

priceBasestring · enumOptional

Preisbasis

Possible values:
qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt

Possible values:
purchasePriceSourcestring · enumOptional

Einkaufspreis zur Kalkulation

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Aufschlags bei EK-Kalkulation

fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Preis gültig ist

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
put/erp/products/sales-prices/{priceId}
PUT /erp/products/sales-prices/{priceId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 741

{
  "version": "text",
  "info": {},
  "id": "text",
  "netPrice": 1,
  "grossPrice": 1,
  "priceBase": "NET_PRICE",
  "usedTaxRate": {
    "version": "text",
    "info": {},
    "id": "text",
    "typeRef": {
      "id": "text",
      "label": "text"
    },
    "countryCode": "text",
    "rate": 19,
    "validFrom": "2026-01-01"
  },
  "purchasePriceSource": "NONE",
  "modifierValueType": "PERCENT",
  "modifierValue": 1,
  "accountRef": {
    "id": "text"
  },
  "articleRef": {
    "id": "text"
  },
  "accessoryMainArticleRef": {
    "id": "text"
  },
  "productGroupRef": {
    "id": "text"
  },
  "priceGroupRef": {
    "id": "text"
  },
  "currencyRef": {
    "id": 1,
    "isoAlpha3": "text"
  },
  "fromQuantity": 1,
  "validFrom": "2026-01-01",
  "validUntil": "2026-01-01",
  "specialOfferPrice": false,
  "salesChannelRef": {
    "id": "text"
  },
  "customerGroupRef": {
    "id": "text"
  },
  "supplierGroupRef": {
    "id": "text"
  },
  "manufacturerRef": {
    "id": "text"
  }
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "netPrice": 1,
  "grossPrice": 1,
  "priceBase": "NET_PRICE",
  "usedTaxRate": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "typeRef": {
      "id": "text",
      "label": "text",
      "description": "text"
    },
    "active": true,
    "countryCode": "text",
    "rate": 19,
    "validFrom": "2026-01-01"
  },
  "qualifier": "SALES",
  "purchasePriceSource": "NONE",
  "modifierValueType": "PERCENT",
  "modifierValue": 1,
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "articleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "accessoryMainArticleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "productGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "priceGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "currencyRef": {
    "id": 1,
    "isoAlpha3": "text",
    "label": "text",
    "symbol": "text"
  },
  "fromQuantity": 1,
  "validFrom": "2026-01-01",
  "validUntil": "2026-01-01",
  "specialOfferPrice": false,
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "customerGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "supplierGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "manufacturerRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}
delete
Path parameters
priceIdinteger · int64Required

ID des Preises

Responses
200

OK

*/*
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/products/sales-prices/{priceId}
DELETE /erp/products/sales-prices/{priceId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "context": "text",
  "messageValue": "text"
}
put
Path parameters
discountIdinteger · int64Required

ID des Rabatts

Body

Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt

Possible values:
fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Rabatt gültig ist

modifierNamestring · max: 255Optional

Name des Rabatts

modifierTypestring · enumOptional

Bestimmt die Art des Rabatts

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Rabatts

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
Responses
200

OK

*/*

Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt

Possible values:
fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Rabatt gültig ist

modifierNamestring · max: 255Optional

Name des Rabatts

modifierTypestring · enumOptional

Bestimmt die Art des Rabatts

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Rabatts

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
put/erp/products/sales-discounts/{discountId}
PUT /erp/products/sales-discounts/{discountId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 558

{
  "version": "text",
  "info": {},
  "id": "text",
  "accountRef": {
    "id": "text"
  },
  "articleRef": {
    "id": "text"
  },
  "accessoryMainArticleRef": {
    "id": "text"
  },
  "productGroupRef": {
    "id": "text"
  },
  "priceGroupRef": {
    "id": "text"
  },
  "fromQuantity": 1,
  "modifierName": "text",
  "modifierType": "DISCOUNT",
  "modifierValueType": "PERCENT",
  "currencyRef": {
    "id": 1,
    "isoAlpha3": "text"
  },
  "modifierValue": 1,
  "validFrom": "2026-01-01",
  "validUntil": "2026-01-01",
  "specialOfferPrice": false,
  "salesChannelRef": {
    "id": "text"
  },
  "customerGroupRef": {
    "id": "text"
  },
  "supplierGroupRef": {
    "id": "text"
  },
  "manufacturerRef": {
    "id": "text"
  }
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "qualifier": "SALES",
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "articleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "accessoryMainArticleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "productGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "priceGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "fromQuantity": 1,
  "modifierName": "text",
  "modifierType": "DISCOUNT",
  "modifierValueType": "PERCENT",
  "currencyRef": {
    "id": 1,
    "isoAlpha3": "text",
    "label": "text",
    "symbol": "text"
  },
  "modifierValue": 1,
  "validFrom": "2026-01-01",
  "validUntil": "2026-01-01",
  "specialOfferPrice": false,
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "customerGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "supplierGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "manufacturerRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}
put
Path parameters
priceIdinteger · int64Required

ID des Preises

Body

Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

netPricenumberOptional

Netto-Preis

grossPricenumberOptional

Brutto-Preis

priceBasestring · enumOptional

Preisbasis

Possible values:
qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt

Possible values:
purchasePriceSourcestring · enumOptional

Einkaufspreis zur Kalkulation

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Aufschlags bei EK-Kalkulation

fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Preis gültig ist

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
Responses
200

OK

*/*

Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

netPricenumberOptional

Netto-Preis

grossPricenumberOptional

Brutto-Preis

priceBasestring · enumOptional

Preisbasis

Possible values:
qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt

Possible values:
purchasePriceSourcestring · enumOptional

Einkaufspreis zur Kalkulation

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Aufschlags bei EK-Kalkulation

fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Preis gültig ist

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
put/erp/products/purchase-prices/{priceId}
PUT /erp/products/purchase-prices/{priceId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 741

{
  "version": "text",
  "info": {},
  "id": "text",
  "netPrice": 1,
  "grossPrice": 1,
  "priceBase": "NET_PRICE",
  "usedTaxRate": {
    "version": "text",
    "info": {},
    "id": "text",
    "typeRef": {
      "id": "text",
      "label": "text"
    },
    "countryCode": "text",
    "rate": 19,
    "validFrom": "2026-01-01"
  },
  "purchasePriceSource": "NONE",
  "modifierValueType": "PERCENT",
  "modifierValue": 1,
  "accountRef": {
    "id": "text"
  },
  "articleRef": {
    "id": "text"
  },
  "accessoryMainArticleRef": {
    "id": "text"
  },
  "productGroupRef": {
    "id": "text"
  },
  "priceGroupRef": {
    "id": "text"
  },
  "currencyRef": {
    "id": 1,
    "isoAlpha3": "text"
  },
  "fromQuantity": 1,
  "validFrom": "2026-01-01",
  "validUntil": "2026-01-01",
  "specialOfferPrice": false,
  "salesChannelRef": {
    "id": "text"
  },
  "customerGroupRef": {
    "id": "text"
  },
  "supplierGroupRef": {
    "id": "text"
  },
  "manufacturerRef": {
    "id": "text"
  }
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "netPrice": 1,
  "grossPrice": 1,
  "priceBase": "NET_PRICE",
  "usedTaxRate": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "typeRef": {
      "id": "text",
      "label": "text",
      "description": "text"
    },
    "active": true,
    "countryCode": "text",
    "rate": 19,
    "validFrom": "2026-01-01"
  },
  "qualifier": "SALES",
  "purchasePriceSource": "NONE",
  "modifierValueType": "PERCENT",
  "modifierValue": 1,
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "articleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "accessoryMainArticleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "productGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "priceGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "currencyRef": {
    "id": 1,
    "isoAlpha3": "text",
    "label": "text",
    "symbol": "text"
  },
  "fromQuantity": 1,
  "validFrom": "2026-01-01",
  "validUntil": "2026-01-01",
  "specialOfferPrice": false,
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "customerGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "supplierGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "manufacturerRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}
delete
Path parameters
priceIdinteger · int64Required

ID des Preises

Responses
200

OK

*/*
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/products/purchase-prices/{priceId}
DELETE /erp/products/purchase-prices/{priceId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "context": "text",
  "messageValue": "text"
}
put
Path parameters
discountIdinteger · int64Required

ID des Rabatts

Body

Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt

Possible values:
fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Rabatt gültig ist

modifierNamestring · max: 255Optional

Name des Rabatts

modifierTypestring · enumOptional

Bestimmt die Art des Rabatts

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Rabatts

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
Responses
200

OK

*/*

Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt

Possible values:
fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Rabatt gültig ist

modifierNamestring · max: 255Optional

Name des Rabatts

modifierTypestring · enumOptional

Bestimmt die Art des Rabatts

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Rabatts

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
put/erp/products/purchase-discounts/{discountId}
PUT /erp/products/purchase-discounts/{discountId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 558

{
  "version": "text",
  "info": {},
  "id": "text",
  "accountRef": {
    "id": "text"
  },
  "articleRef": {
    "id": "text"
  },
  "accessoryMainArticleRef": {
    "id": "text"
  },
  "productGroupRef": {
    "id": "text"
  },
  "priceGroupRef": {
    "id": "text"
  },
  "fromQuantity": 1,
  "modifierName": "text",
  "modifierType": "DISCOUNT",
  "modifierValueType": "PERCENT",
  "currencyRef": {
    "id": 1,
    "isoAlpha3": "text"
  },
  "modifierValue": 1,
  "validFrom": "2026-01-01",
  "validUntil": "2026-01-01",
  "specialOfferPrice": false,
  "salesChannelRef": {
    "id": "text"
  },
  "customerGroupRef": {
    "id": "text"
  },
  "supplierGroupRef": {
    "id": "text"
  },
  "manufacturerRef": {
    "id": "text"
  }
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "qualifier": "SALES",
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "articleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "accessoryMainArticleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "productGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "priceGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "fromQuantity": 1,
  "modifierName": "text",
  "modifierType": "DISCOUNT",
  "modifierValueType": "PERCENT",
  "currencyRef": {
    "id": 1,
    "isoAlpha3": "text",
    "label": "text",
    "symbol": "text"
  },
  "modifierValue": 1,
  "validFrom": "2026-01-01",
  "validUntil": "2026-01-01",
  "specialOfferPrice": false,
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "customerGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "supplierGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "manufacturerRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}
post
Body

Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

netPricenumberOptional

Netto-Preis

grossPricenumberOptional

Brutto-Preis

priceBasestring · enumOptional

Preisbasis

Possible values:
qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt

Possible values:
purchasePriceSourcestring · enumOptional

Einkaufspreis zur Kalkulation

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Aufschlags bei EK-Kalkulation

fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Preis gültig ist

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
Responses
200

OK

*/*

Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

netPricenumberOptional

Netto-Preis

grossPricenumberOptional

Brutto-Preis

priceBasestring · enumOptional

Preisbasis

Possible values:
qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt

Possible values:
purchasePriceSourcestring · enumOptional

Einkaufspreis zur Kalkulation

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Aufschlags bei EK-Kalkulation

fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Preis gültig ist

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
post/erp/products/sales-prices
POST /erp/products/sales-prices HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 741

{
  "version": "text",
  "info": {},
  "id": "text",
  "netPrice": 1,
  "grossPrice": 1,
  "priceBase": "NET_PRICE",
  "usedTaxRate": {
    "version": "text",
    "info": {},
    "id": "text",
    "typeRef": {
      "id": "text",
      "label": "text"
    },
    "countryCode": "text",
    "rate": 19,
    "validFrom": "2026-01-01"
  },
  "purchasePriceSource": "NONE",
  "modifierValueType": "PERCENT",
  "modifierValue": 1,
  "accountRef": {
    "id": "text"
  },
  "articleRef": {
    "id": "text"
  },
  "accessoryMainArticleRef": {
    "id": "text"
  },
  "productGroupRef": {
    "id": "text"
  },
  "priceGroupRef": {
    "id": "text"
  },
  "currencyRef": {
    "id": 1,
    "isoAlpha3": "text"
  },
  "fromQuantity": 1,
  "validFrom": "2026-01-01",
  "validUntil": "2026-01-01",
  "specialOfferPrice": false,
  "salesChannelRef": {
    "id": "text"
  },
  "customerGroupRef": {
    "id": "text"
  },
  "supplierGroupRef": {
    "id": "text"
  },
  "manufacturerRef": {
    "id": "text"
  }
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "netPrice": 1,
  "grossPrice": 1,
  "priceBase": "NET_PRICE",
  "usedTaxRate": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "typeRef": {
      "id": "text",
      "label": "text",
      "description": "text"
    },
    "active": true,
    "countryCode": "text",
    "rate": 19,
    "validFrom": "2026-01-01"
  },
  "qualifier": "SALES",
  "purchasePriceSource": "NONE",
  "modifierValueType": "PERCENT",
  "modifierValue": 1,
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "articleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "accessoryMainArticleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "productGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "priceGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "currencyRef": {
    "id": 1,
    "isoAlpha3": "text",
    "label": "text",
    "symbol": "text"
  },
  "fromQuantity": 1,
  "validFrom": "2026-01-01",
  "validUntil": "2026-01-01",
  "specialOfferPrice": false,
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "customerGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "supplierGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "manufacturerRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}
post
Body

Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt

Possible values:
fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Rabatt gültig ist

modifierNamestring · max: 255Optional

Name des Rabatts

modifierTypestring · enumOptional

Bestimmt die Art des Rabatts

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Rabatts

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
Responses
200

OK

*/*

Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt

Possible values:
fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Rabatt gültig ist

modifierNamestring · max: 255Optional

Name des Rabatts

modifierTypestring · enumOptional

Bestimmt die Art des Rabatts

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Rabatts

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
post/erp/products/sales-discounts
POST /erp/products/sales-discounts HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 558

{
  "version": "text",
  "info": {},
  "id": "text",
  "accountRef": {
    "id": "text"
  },
  "articleRef": {
    "id": "text"
  },
  "accessoryMainArticleRef": {
    "id": "text"
  },
  "productGroupRef": {
    "id": "text"
  },
  "priceGroupRef": {
    "id": "text"
  },
  "fromQuantity": 1,
  "modifierName": "text",
  "modifierType": "DISCOUNT",
  "modifierValueType": "PERCENT",
  "currencyRef": {
    "id": 1,
    "isoAlpha3": "text"
  },
  "modifierValue": 1,
  "validFrom": "2026-01-01",
  "validUntil": "2026-01-01",
  "specialOfferPrice": false,
  "salesChannelRef": {
    "id": "text"
  },
  "customerGroupRef": {
    "id": "text"
  },
  "supplierGroupRef": {
    "id": "text"
  },
  "manufacturerRef": {
    "id": "text"
  }
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "qualifier": "SALES",
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "articleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "accessoryMainArticleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "productGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "priceGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "fromQuantity": 1,
  "modifierName": "text",
  "modifierType": "DISCOUNT",
  "modifierValueType": "PERCENT",
  "currencyRef": {
    "id": 1,
    "isoAlpha3": "text",
    "label": "text",
    "symbol": "text"
  },
  "modifierValue": 1,
  "validFrom": "2026-01-01",
  "validUntil": "2026-01-01",
  "specialOfferPrice": false,
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "customerGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "supplierGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "manufacturerRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}
post
Body

Request zur Durchführung der Neuberechnung von Verkaufspreisen bzgl. des EK

articleIdsForRecalculationinteger · int64[]Optional

IDs von Artikeln, deren Preise berechnet werden sollen

Responses
200

OK

No content

post/erp/products/recalculate-sales-prices-depending-on-purchase-price
POST /erp/products/recalculate-sales-prices-depending-on-purchase-price HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 222

{
  "articleIdsForRecalculation": [
    1
  ],
  "articleQueryPredicate": {
    "type": "JUNCTION",
    "operator": "AND",
    "children": [],
    "property": "text",
    "values": [
      "text"
    ],
    "visible": true,
    "functions": [
      "text"
    ]
  },
  "variables": {
    "variableSubstitutions": []
  }
}
200

OK

No content

post
Body

Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

netPricenumberOptional

Netto-Preis

grossPricenumberOptional

Brutto-Preis

priceBasestring · enumOptional

Preisbasis

Possible values:
qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt

Possible values:
purchasePriceSourcestring · enumOptional

Einkaufspreis zur Kalkulation

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Aufschlags bei EK-Kalkulation

fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Preis gültig ist

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
Responses
200

OK

*/*

Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

netPricenumberOptional

Netto-Preis

grossPricenumberOptional

Brutto-Preis

priceBasestring · enumOptional

Preisbasis

Possible values:
qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt

Possible values:
purchasePriceSourcestring · enumOptional

Einkaufspreis zur Kalkulation

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Aufschlags bei EK-Kalkulation

fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Preis gültig ist

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
post/erp/products/purchase-prices
POST /erp/products/purchase-prices HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 741

{
  "version": "text",
  "info": {},
  "id": "text",
  "netPrice": 1,
  "grossPrice": 1,
  "priceBase": "NET_PRICE",
  "usedTaxRate": {
    "version": "text",
    "info": {},
    "id": "text",
    "typeRef": {
      "id": "text",
      "label": "text"
    },
    "countryCode": "text",
    "rate": 19,
    "validFrom": "2026-01-01"
  },
  "purchasePriceSource": "NONE",
  "modifierValueType": "PERCENT",
  "modifierValue": 1,
  "accountRef": {
    "id": "text"
  },
  "articleRef": {
    "id": "text"
  },
  "accessoryMainArticleRef": {
    "id": "text"
  },
  "productGroupRef": {
    "id": "text"
  },
  "priceGroupRef": {
    "id": "text"
  },
  "currencyRef": {
    "id": 1,
    "isoAlpha3": "text"
  },
  "fromQuantity": 1,
  "validFrom": "2026-01-01",
  "validUntil": "2026-01-01",
  "specialOfferPrice": false,
  "salesChannelRef": {
    "id": "text"
  },
  "customerGroupRef": {
    "id": "text"
  },
  "supplierGroupRef": {
    "id": "text"
  },
  "manufacturerRef": {
    "id": "text"
  }
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "netPrice": 1,
  "grossPrice": 1,
  "priceBase": "NET_PRICE",
  "usedTaxRate": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "typeRef": {
      "id": "text",
      "label": "text",
      "description": "text"
    },
    "active": true,
    "countryCode": "text",
    "rate": 19,
    "validFrom": "2026-01-01"
  },
  "qualifier": "SALES",
  "purchasePriceSource": "NONE",
  "modifierValueType": "PERCENT",
  "modifierValue": 1,
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "articleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "accessoryMainArticleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "productGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "priceGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "currencyRef": {
    "id": 1,
    "isoAlpha3": "text",
    "label": "text",
    "symbol": "text"
  },
  "fromQuantity": 1,
  "validFrom": "2026-01-01",
  "validUntil": "2026-01-01",
  "specialOfferPrice": false,
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "customerGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "supplierGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "manufacturerRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}
post
Body

Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt

Possible values:
fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Rabatt gültig ist

modifierNamestring · max: 255Optional

Name des Rabatts

modifierTypestring · enumOptional

Bestimmt die Art des Rabatts

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Rabatts

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
Responses
200

OK

*/*

Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt

Possible values:
fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Rabatt gültig ist

modifierNamestring · max: 255Optional

Name des Rabatts

modifierTypestring · enumOptional

Bestimmt die Art des Rabatts

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Rabatts

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
post/erp/products/purchase-discounts
POST /erp/products/purchase-discounts HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 558

{
  "version": "text",
  "info": {},
  "id": "text",
  "accountRef": {
    "id": "text"
  },
  "articleRef": {
    "id": "text"
  },
  "accessoryMainArticleRef": {
    "id": "text"
  },
  "productGroupRef": {
    "id": "text"
  },
  "priceGroupRef": {
    "id": "text"
  },
  "fromQuantity": 1,
  "modifierName": "text",
  "modifierType": "DISCOUNT",
  "modifierValueType": "PERCENT",
  "currencyRef": {
    "id": 1,
    "isoAlpha3": "text"
  },
  "modifierValue": 1,
  "validFrom": "2026-01-01",
  "validUntil": "2026-01-01",
  "specialOfferPrice": false,
  "salesChannelRef": {
    "id": "text"
  },
  "customerGroupRef": {
    "id": "text"
  },
  "supplierGroupRef": {
    "id": "text"
  },
  "manufacturerRef": {
    "id": "text"
  }
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "qualifier": "SALES",
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "articleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "accessoryMainArticleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "productGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "priceGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "fromQuantity": 1,
  "modifierName": "text",
  "modifierType": "DISCOUNT",
  "modifierValueType": "PERCENT",
  "currencyRef": {
    "id": 1,
    "isoAlpha3": "text",
    "label": "text",
    "symbol": "text"
  },
  "modifierValue": 1,
  "validFrom": "2026-01-01",
  "validUntil": "2026-01-01",
  "specialOfferPrice": false,
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "customerGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "supplierGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "manufacturerRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}
get
Path parameters
articleIdinteger · int64Required

ID des Artikels

Query parameters
accountIdstringOptional

ID eines Accounts zum Filtern der Preise

Responses
200

OK

*/*

Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

netPricenumberOptional

Netto-Preis

grossPricenumberOptional

Brutto-Preis

priceBasestring · enumOptional

Preisbasis

Possible values:
qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt

Possible values:
purchasePriceSourcestring · enumOptional

Einkaufspreis zur Kalkulation

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Aufschlags bei EK-Kalkulation

fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Preis gültig ist

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
get/erp/products/sales-prices/{articleId}
GET /erp/products/sales-prices/{articleId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]
get
Path parameters
articleIdinteger · int64Required

ID des Artikels

salesChannelIdinteger · int64Required

ID des Verkaufskanals

Responses
200

OK

*/*

Preishistorie

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

previousPricenumberRead-onlyOptional

Vorheriger Preis

newPricenumberRead-onlyRequired

Neuer Preis

priceBasestring · enumRead-onlyRequired

Preisbasis

Possible values:
get/erp/products/sales-prices/{articleId}/history/{salesChannelId}
GET /erp/products/sales-prices/{articleId}/history/{salesChannelId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]
get
Path parameters
accountIdinteger · int64Required

ID eines Accounts

Responses
200

OK

*/*

Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt

Possible values:
fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Rabatt gültig ist

modifierNamestring · max: 255Optional

Name des Rabatts

modifierTypestring · enumOptional

Bestimmt die Art des Rabatts

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Rabatts

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
get/erp/products/sales-price-rules-to-account/{accountId}
GET /erp/products/sales-price-rules-to-account/{accountId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]
get
Query parameters
articleIdnull · int64Optional

Ein Produkt

accessoryMainArticleIdnull · int64Optional

Ein Hauptprodukt eines Zubehörs

accountIdnull · int64Optional

Ein Account

productGroupIdnull · int64Optional

Eine Warengruppe

priceGroupIdnull · int64Optional

Eine Preisgruppe

manufacturerIdnull · int64Optional

Ein Hersteller

datenull · dateOptional

Ein Datum

quantitynull · doubleOptional

Eine Menge

noteSpecialOfferPricenullOptional

Soll ein Aktionspreis beachtet werden?

salesChannelIdnull · int64Optional

Ein Verkaufskanal

customerGroupIdnull · int64Optional

Eine Kundengruppe

supplierGroupIdnull · int64Optional

Eine Lieferantengruppe

Responses
200

OK

*/*

Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

netPricenumberOptional

Netto-Preis

grossPricenumberOptional

Brutto-Preis

priceBasestring · enumOptional

Preisbasis

Possible values:
qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt

Possible values:
purchasePriceSourcestring · enumOptional

Einkaufspreis zur Kalkulation

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Aufschlags bei EK-Kalkulation

fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Preis gültig ist

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
get/erp/products/sales-price-by-selection
GET /erp/products/sales-price-by-selection HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "netPrice": 1,
  "grossPrice": 1,
  "priceBase": "NET_PRICE",
  "usedTaxRate": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "typeRef": {
      "id": "text",
      "label": "text",
      "description": "text"
    },
    "active": true,
    "countryCode": "text",
    "rate": 19,
    "validFrom": "2026-01-01"
  },
  "qualifier": "SALES",
  "purchasePriceSource": "NONE",
  "modifierValueType": "PERCENT",
  "modifierValue": 1,
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "articleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "accessoryMainArticleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "productGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "priceGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "currencyRef": {
    "id": 1,
    "isoAlpha3": "text",
    "label": "text",
    "symbol": "text"
  },
  "fromQuantity": 1,
  "validFrom": "2026-01-01",
  "validUntil": "2026-01-01",
  "specialOfferPrice": false,
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "customerGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "supplierGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "manufacturerRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}
get
Path parameters
articleIdinteger · int64Required

ID des Produkts

Query parameters
accountIdstringOptional

ID eines Accounts zum Filtern der Preisregeln

Responses
200

OK

*/*

Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt

Possible values:
fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Rabatt gültig ist

modifierNamestring · max: 255Optional

Name des Rabatts

modifierTypestring · enumOptional

Bestimmt die Art des Rabatts

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Rabatts

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
get/erp/products/sales-discounts/{articleId}
GET /erp/products/sales-discounts/{articleId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]
get
Path parameters
articleIdinteger · int64Required

ID des Produkts

Query parameters
accountIdstringOptional

ID eines Accounts zum Filtern der Preise

Responses
200

OK

*/*

Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

netPricenumberOptional

Netto-Preis

grossPricenumberOptional

Brutto-Preis

priceBasestring · enumOptional

Preisbasis

Possible values:
qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt

Possible values:
purchasePriceSourcestring · enumOptional

Einkaufspreis zur Kalkulation

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Aufschlags bei EK-Kalkulation

fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Preis gültig ist

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
get/erp/products/purchase-prices/{articleId}
GET /erp/products/purchase-prices/{articleId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]

liefert dem dEK und letzten EK für ein Artikel (View Stammdaten)

get
Path parameters
articleIdinteger · int64Required

ID des Artikels

Responses
200

OK

*/*

Preisstatistiken (DEK und letzter EK)

averagePricenumberRead-onlyOptional

Durchschnitts-Einkaufspreis

averagePriceBookedAtstring · dateRead-onlyOptional

Wertstellungsdatum Durchschnitts-Einkaufspreis

priceUnitAveragePricenumberRead-onlyOptional

Preiseinheit Durchschnitts-Einkaufspreis

lastPricenumberRead-onlyOptional

letzter Einkaufspreis

priceUnitLastPricenumberRead-onlyOptional

Preiseinheit letzter Einkaufspreis

lastPriceUpdatedAtstring · date-timeRead-onlyOptional

Erfassungszeitpunkt letzter Einkaufspreis

lastPriceBookedAtstring · dateRead-onlyOptional

Wertstellungsdatum letzter Einkaufspreis

get/erp/products/purchase-prices/{articleId}/statistic
GET /erp/products/purchase-prices/{articleId}/statistic HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "averagePrice": 1,
  "averagePriceBookedAt": "2026-01-01",
  "priceUnitAveragePrice": 1,
  "lastPrice": 1,
  "priceUnitLastPrice": 1,
  "lastPriceUpdatedAt": "2026-01-01T00:00:00.000Z",
  "lastPriceBookedAt": "2026-01-01",
  "mainSupplierAccount": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "mainSupplierProductPrice": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "netPrice": 1,
    "grossPrice": 1,
    "priceBase": "NET_PRICE",
    "usedTaxRate": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "typeRef": {
        "id": "text",
        "label": "text",
        "description": "text"
      },
      "active": true,
      "countryCode": "text",
      "rate": 19,
      "validFrom": "2026-01-01"
    },
    "qualifier": "SALES",
    "purchasePriceSource": "NONE",
    "modifierValueType": "PERCENT",
    "modifierValue": 1,
    "accountRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "articleRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "accessoryMainArticleRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "productGroupRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "priceGroupRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "currencyRef": {
      "id": 1,
      "isoAlpha3": "text",
      "label": "text",
      "symbol": "text"
    },
    "fromQuantity": 1,
    "validFrom": "2026-01-01",
    "validUntil": "2026-01-01",
    "specialOfferPrice": false,
    "salesChannelRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "customerGroupRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "supplierGroupRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "manufacturerRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    }
  }
}
get
Path parameters
accountIdinteger · int64Required

ID eines Accounts

Responses
200

OK

*/*

Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt

Possible values:
fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Rabatt gültig ist

modifierNamestring · max: 255Optional

Name des Rabatts

modifierTypestring · enumOptional

Bestimmt die Art des Rabatts

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Rabatts

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
get/erp/products/purchase-price-rules-to-account/{accountId}
GET /erp/products/purchase-price-rules-to-account/{accountId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]
get
Query parameters
articleIdnull · int64Optional

Ein Produkt

accessoryMainArticleIdnull · int64Optional

Ein Hauptprodukt eines Zubehörs

accountIdnull · int64Optional

Ein Account

productGroupIdnull · int64Optional

Eine Warengruppe

priceGroupIdnull · int64Optional

Eine Preisgruppe

manufacturerIdnull · int64Optional

Ein Hersteller

datenull · dateOptional

Ein Datum

quantitynull · doubleOptional

Eine Menge

noteSpecialOfferPricenullOptional

Soll ein Aktionspreis beachtet werden?

salesChannelIdnull · int64Optional

Ein Verkaufskanal

customerGroupIdnull · int64Optional

Eine Kundengruppe

supplierGroupIdnull · int64Optional

Eine Lieferantengruppe

Responses
200

OK

*/*

Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

netPricenumberOptional

Netto-Preis

grossPricenumberOptional

Brutto-Preis

priceBasestring · enumOptional

Preisbasis

Possible values:
qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt

Possible values:
purchasePriceSourcestring · enumOptional

Einkaufspreis zur Kalkulation

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Aufschlags bei EK-Kalkulation

fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Preis gültig ist

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
get/erp/products/purchase-price-by-selection
GET /erp/products/purchase-price-by-selection HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "netPrice": 1,
  "grossPrice": 1,
  "priceBase": "NET_PRICE",
  "usedTaxRate": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "typeRef": {
      "id": "text",
      "label": "text",
      "description": "text"
    },
    "active": true,
    "countryCode": "text",
    "rate": 19,
    "validFrom": "2026-01-01"
  },
  "qualifier": "SALES",
  "purchasePriceSource": "NONE",
  "modifierValueType": "PERCENT",
  "modifierValue": 1,
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "articleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "accessoryMainArticleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "productGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "priceGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "currencyRef": {
    "id": 1,
    "isoAlpha3": "text",
    "label": "text",
    "symbol": "text"
  },
  "fromQuantity": 1,
  "validFrom": "2026-01-01",
  "validUntil": "2026-01-01",
  "specialOfferPrice": false,
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "customerGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "supplierGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "manufacturerRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}
get
Path parameters
articleIdinteger · int64Required

ID des Artikels

Query parameters
accountIdstringOptional

ID eines Accounts zum Filtern der Preisregeln

Responses
200

OK

*/*

Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt

Possible values:
fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Rabatt gültig ist

modifierNamestring · max: 255Optional

Name des Rabatts

modifierTypestring · enumOptional

Bestimmt die Art des Rabatts

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Rabatts

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
get/erp/products/purchase-discounts/{articleId}
GET /erp/products/purchase-discounts/{articleId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]
get
Path parameters
priceIdinteger · int64Required

ID des Preises

Responses
200

OK

*/*

Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

netPricenumberOptional

Netto-Preis

grossPricenumberOptional

Brutto-Preis

priceBasestring · enumOptional

Preisbasis

Possible values:
qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt

Possible values:
purchasePriceSourcestring · enumOptional

Einkaufspreis zur Kalkulation

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Aufschlags bei EK-Kalkulation

fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Preis gültig ist

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
get/erp/products/prices/{priceId}
GET /erp/products/prices/{priceId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "netPrice": 1,
  "grossPrice": 1,
  "priceBase": "NET_PRICE",
  "usedTaxRate": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "typeRef": {
      "id": "text",
      "label": "text",
      "description": "text"
    },
    "active": true,
    "countryCode": "text",
    "rate": 19,
    "validFrom": "2026-01-01"
  },
  "qualifier": "SALES",
  "purchasePriceSource": "NONE",
  "modifierValueType": "PERCENT",
  "modifierValue": 1,
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "articleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "accessoryMainArticleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "productGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "priceGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "currencyRef": {
    "id": 1,
    "isoAlpha3": "text",
    "label": "text",
    "symbol": "text"
  },
  "fromQuantity": 1,
  "validFrom": "2026-01-01",
  "validUntil": "2026-01-01",
  "specialOfferPrice": false,
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "customerGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "supplierGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "manufacturerRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}
get
Path parameters
discountIdinteger · int64Required

ID des Rabatts

Responses
200

OK

*/*

Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

qualifierstring · enumRead-onlyOptional

Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt

Possible values:
fromQuantitynumberOptional

Bestimmt ab welcher Menge dieser Rabatt gültig ist

modifierNamestring · max: 255Optional

Name des Rabatts

modifierTypestring · enumOptional

Bestimmt die Art des Rabatts

Possible values:
modifierValueTypestring · enumOptional

Typ von Werten

Possible values:
modifierValuenumberOptional

Wert des Rabatts

validFromstring · dateOptional

Gültig von

validUntilstring · dateOptional

Gültig bis

specialOfferPricebooleanOptional

Aktionpreis

Default: false
get/erp/products/discounts/{discountId}
GET /erp/products/discounts/{discountId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "qualifier": "SALES",
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "articleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "accessoryMainArticleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "productGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "priceGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "fromQuantity": 1,
  "modifierName": "text",
  "modifierType": "DISCOUNT",
  "modifierValueType": "PERCENT",
  "currencyRef": {
    "id": 1,
    "isoAlpha3": "text",
    "label": "text",
    "symbol": "text"
  },
  "modifierValue": 1,
  "validFrom": "2026-01-01",
  "validUntil": "2026-01-01",
  "specialOfferPrice": false,
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "customerGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "supplierGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "manufacturerRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}
get
Query parameters
grossPricenumberRequired
taxSchemaIdinteger · int64Required
Responses
200

OK

*/*
numberOptional
get/erp/products/calculate-net-price
GET /erp/products/calculate-net-price?grossPrice=1&taxSchemaId=1 HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

1
get
Query parameters
netPricenumberRequired
taxSchemaIdinteger · int64Required
Responses
200

OK

*/*
numberOptional
get/erp/products/calculate-gross-price
GET /erp/products/calculate-gross-price?netPrice=1&taxSchemaId=1 HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

1

Last updated

Was this helpful?